package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/6/6 13:54
 * @Description:
 **/
public class DicOrderType {
    public static final String ALL = "全部";
    public static final String ONLINEORDER = "线上订单";
    public static final String OFFLINEORDER = "线下订单";

   public static DicOrderType instance=null;
   public static LinkedHashMap<String,String> dicMap=null;
   private DicOrderType(){
       dicMap=new LinkedHashMap<>();
       dicMap.put(ALL,ALL);
       dicMap.put(ONLINEORDER,ONLINEORDER);
       dicMap.put(OFFLINEORDER,OFFLINEORDER);
   }
   public static DicOrderType getInstance(){
       if(null==instance){
           instance=new DicOrderType();
       }
       return instance;
   }

   public LinkedHashMap<String,String> getDicMap(){
       return (LinkedHashMap<String,String>)dicMap.clone();
   }
}
